import javax.swing.*;
//import java.util.*;
import java.awt.*;
//import java.awt.event.*;


class JTextBackdrop extends JTextArea {
	
	private ImageIcon fond;
	
	
	public JTextBackdrop(String str){
		fond=new ImageIcon("./images/parcheminlisting.jpg");	
	}
	
	public void paintComponent (Graphics g){
		
		Dimension d = getSize();
		g.drawImage(fond.getImage(), 0, 0, d.width, d.height, null);
		
		
		//fond.paintIcon(this,g,0,0);
		setOpaque( false );
		super.paintComponent(g);	
		
	}
	
	
	public void update(Graphics g){	
		paintComponent(g);
	}

}